Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-92453

latest qtbase cannot be built with latest MSVC

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Not Evaluated
    • Resolution: Out of scope
    • Affects Version/s: 6.2.0 FF
    • Fix Version/s: None
    • Component/s: Core: Other
    • Labels:
      None
    • Platform/s:
      Windows

      Description

      Latest qtbase cannot be built using latest MSVC.

      I just updated MSVC to 16.9.3, not I cannot build qtbase any more. It seems to be related to PCRE. I configured using "cmake -GNinja -DFEATURE_developer_build=ON ../qtbase" and got the build log out.txt . It complains about errors in OAIdl.h . There seems to be a problem with union items named "_VARIANT_BOOL bool;". I had a look at the preprocessed output and indeed, these become "// bool;" see pcre2_jit_compile.i

        Attachments

        1. out.txt
          134 kB
        2. pcre2_jit_compile.i
          4.66 MB
        3. OAIdl.h
          195 kB
        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            qtbuildsystem Qt Build System Team
            Reporter:
            andreasbuhr Andreas Buhr
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes